Bug 1122605 - [Admin Portal] Odd edit template behavior: Cannot edit Template. Physical Memory Guaranteed cannot exceed Memory Size.
Summary: [Admin Portal] Odd edit template behavior: Cannot edit Template. Physical Mem...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Tomas Jelinek
QA Contact: sefi litmanovich
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:13 UTC by Jiri Belka
Modified: 2016-04-20 01:35 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-20 01:35:23 UTC
oVirt Team: Virt


Attachments (Terms of Use)
engine.log (3.12 MB, text/x-log)
2014-07-23 15:13 UTC, Jiri Belka
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 41391 None None None Never

Description Jiri Belka 2014-07-23 15:13:06 UTC
Created attachment 920252 [details]
engine.log

Description of problem:
It seems one can edit memory of template but not completely. Edit Template dialog misses Resource allocation tab and thus editing memory of the template conflicts with guaranteed memory of the "VM"/template which is not visible.

One can successfully define memory smaller that guaranteed memory of the VM in VM Edit dialog, so it seems Edit template dialog is broken in this respect.

`. Edit VM:

System: 4096
Physical Memory Guaranteed: 4096

-> System: 1024
   Physical Memory Guaranteeed: 1024 (got propagated)

...so success.

2. Edit Template:

System: 4096
no 'Resource Allocation tab'!

-> System: 1024

~~~	
Operation Canceled
Error while executing action:

rhel6-clean:

    Cannot edit Template. Physical Memory Guaranteed cannot exceed Memory Size.
~~~

...no failure!

~~~
2014-07-23 17:05:10,552 WARN  [org.ovirt.engine.core.dal.job.ExecutionMessageDirector] (ajp-/127.0.0.1:8702-8) [7a5f1712] The message key UpdateVmTemplate is missing from bundles/ExecutionMessages
2014-07-23 17:05:10,978 WARN  [org.ovirt.engine.core.bll.UpdateVmTemplateCommand] (ajp-/127.0.0.1:8702-8) [7a5f1712] CanDoAction of action UpdateVmTemplate failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__VM_TEMPLATE,ACTION_TYPE_FAILED_MIN_MEMORY_CANNOT_EXCEED_MEMORY_SIZE
~~~

IMHO this is broken logic.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.4.1-0.30.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. create VM: 4096 memory, guaranteed 4096
2. create template from the VM
3. edit the template and define 1024 for the memory

Actual results:
failure, Edit template dialog is not able to change guaranteed memory, broken logic IMHO

Expected results:
should work

Additional info:

Comment 1 Michal Skrivanek 2015-06-02 11:03:17 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 2 Jiri Belka 2015-06-02 11:37:34 UTC
Still relevant in 3.6.x.

Comment 3 Omer Frenkel 2015-07-07 10:45:26 UTC
resource allocation tab added for edit template

Comment 4 sefi litmanovich 2015-09-01 09:08:27 UTC
Verified with rhevm-3.6.0-0.12.master.el6.noarch.

1. created vm with 4096MB memory and guaranteed memory.
2. created a template from that vm.
3. edit template ->  change memory to 1024MB -> OK -> template menu moves to resource allocation tab and marks the guaranteed memory field.
4. change guaranteed memory to 1024MB -> OK -> edit successful.

Flow looks good.


Note You need to log in before you can comment on or make changes to this bug.